
Redmine - Patch #22941

Allow thumbnails on documents, messages and wiki pages

2016-05-31 12:59 - kay rus

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Related issues:

Related to Redmine - Feature #12183: Hide attachments by default on wiki pages Closed

Related to Redmine - Feature #26353: Show thumbnails on news New

Associated revisions

Revision 15604 - 2016-07-03 09:50 - Jean-Philippe Lang

Hide wiki attachments by default and add thumbnails (#22941).

Revision 15605 - 2016-07-03 09:54 - Jean-Philippe Lang

Show thumbnails on documents (#22941).

Revision 15606 - 2016-07-03 09:54 - Jean-Philippe Lang

Show thumbnails on messages (#22941).

History

#1 - 2016-05-31 13:04 - kay rus

https://github.com/endocode/redmine/commits/3.2-improvements - our working branch

#2 - 2016-06-12 16:50 - Go MAEDA

- File patch-22941-screenshot.png added

- Category set to Attachments

- Target version set to 3.3.0

This patch works fine on current trunk. I think showing thumbnails in wiki and documents as well as issues can improve consistency and UI/UX.

 

Setting target version to 3.3.0.

#3 - 2016-06-12 23:05 - Robert Schneider

I know this would be another Feature request. But it's possibly a single line of code and it has something to do with this patch?:

I find the section with the uploaded files in a wiki page usually not so important because the files are mostly images. They get embedded into the

page. So I would be happy if this section becomes collapsible and is collapsed by default. But if it gets expanded the thumbnails should be shown.
https://github.com/endocode/redmine/commits/3.2-improvements


What do you think about this little enhancement? Look at RedmineProjectOverview as an example - I think the list would better be hidden. The 'New

File' could be also included into the collapsed section. The collapsed link element could be just named "Files". With a single click, that does not

require a page reload, the file list gets visible again.

#4 - 2016-06-15 19:42 - Jean-Philippe Lang

- Target version changed from 3.3.0 to 3.4.0

Robert Schneider wrote:

I find the section with the uploaded files in a wiki page usually not so important because the files are mostly images. They get embedded into the

page. So I would be happy if this section becomes collapsible and is collapsed by default. But if it gets expanded the thumbnails should be

shown. What do you think about this little enhancement?

 Totally agree.

#5 - 2016-07-03 09:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Thumbnails added on messages as well.

#6 - 2016-07-03 19:27 - Robert Schneider

Thank you, JPL!

#7 - 2016-07-04 02:17 - Go MAEDA

- Related to Feature #6239: Separate attachments visually from main wiki content added

#8 - 2016-10-13 04:52 - Go MAEDA

- Related to Feature #12183: Hide attachments by default on wiki pages added

#9 - 2016-12-10 09:56 - Jean-Philippe Lang

- Related to deleted (Feature #6239: Separate attachments visually from main wiki content)

#10 - 2017-04-16 08:23 - Mischa The Evil

- Subject changed from Allow thumbnails on documents and wiki page to Allow thumbnails on documents, messages and wiki pages

#11 - 2017-07-05 04:12 - Go MAEDA

- Related to Feature #26353: Show thumbnails on news added

Files

thumbnails.patch 1.59 KB 2016-05-31 kay rus

patch-22941-screenshot.png 52.1 KB 2016-06-12 Go MAEDA
